#
# Copyright (c) 2023, HILSTER - https://hilster.io
# All rights reserved.
#

from typing import Union, List, Generator, Any

OserElementType = Union["ByteStruct", "BitStruct", "ByteType", "BitType"]  # type: ignore # noqa: F821: this is intended
OserStructType = Union["ByteStruct", "BitStruct"]  # type: ignore # noqa: F821: this is intended
OserScalarType = Union["ByteType", "BitType"]  # type: ignore # noqa: F821: this is intended

FuzzingValues = Union[Generator[Any, None, None], List[Any]]
ProtobufMessage = Any
